curl --request PUT \
--url https://api.wsapi.chat/users/me/privacy \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Instance-Id: <x-instance-id>' \
--data '
{
"setting": "last",
"value": "contacts"
}
'{
"groupAdd": "<string>",
"lastSeen": "<string>",
"status": "<string>",
"profile": "<string>",
"readReceipts": "<string>",
"online": "<string>",
"callAdd": "<string>"
}{
"status": 400,
"detail": "invalid request body"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 403,
"detail": "device not paired"
}{
"status": 503,
"detail": "instance not available"
}Users
Update a privacy setting
Update a single privacy setting. Returns the full updated privacy settings.
PUT
/
users
/
me
/
privacy
curl --request PUT \
--url https://api.wsapi.chat/users/me/privacy \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Instance-Id: <x-instance-id>' \
--data '
{
"setting": "last",
"value": "contacts"
}
'{
"groupAdd": "<string>",
"lastSeen": "<string>",
"status": "<string>",
"profile": "<string>",
"readReceipts": "<string>",
"online": "<string>",
"callAdd": "<string>"
}{
"status": 400,
"detail": "invalid request body"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 403,
"detail": "device not paired"
}{
"status": 503,
"detail": "instance not available"
}Authorizations
Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.
Headers
The ID of the WhatsApp instance to use
Body
application/json
Response
Updated privacy settings
⌘I